=== debian/control ===
Source: scikit-learn
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <michael.hanke@gmail.com>,
 Christian Kastner <ckk@debian.org>,
 Timo Röhling <roehling@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 cython3:native,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-joblib:native,
 python3-mesonpy:native,
 python3-numpy-dev,
 python3-numpy:any,
 python3-scipy:native,
 python3-threadpoolctl:native,
Build-Depends-Arch:
 python3-matplotlib <!nocheck>,
 python3-mypy <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-skimage <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 graphviz <!nodoc>,
 python-matplotlib-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python-pandas-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
 python3-doc <!nodoc>,
 python3-matplotlib <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-pandas <!nodoc>,
 python3-pil <!nodoc>,
 python3-plotly <!nodoc>,
 python3-pooch <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-seaborn <!nodoc>,
 python3-skimage <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
 python3-sphinx-prompt <!nodoc>,
 python3-sphinx-remove-toctrees <!nodoc>,
 python3-sphinxcontrib-sass <!nodoc>,
 python3-sphinxcontrib-towncrier <!nodoc>,
 python3-sphinxext-opengraph <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
Homepage: https://scikit-learn.org
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-sklearn
Architecture: all
Depends:
 python3-sklearn-lib(<< ${source:Version}.1~),
 python3-sklearn-lib(>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-matplotlib,
Suggests:
 python-sklearn-doc,
Enhances:
 python3-mdp,
Description: Python modules for machine learning and data mining - Python 3
 scikit-learn is a collection of Python modules relevant to
 machine/statistical learning and data mining.  Non-exhaustive list of
 included functionality:
  - Gaussian Mixture Models
  - Manifold learning
  - kNN
  - SVM (via LIBSVM)
 .
 This package contains the Python 3 version.

Package: python-sklearn-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-numpy-doc,
 python-pandas-doc,
 python-scipy-doc,
 python3-doc,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation and examples for scikit-learn
 This package contains documentation and example scripts for
 python-sklearn.
Build-Profiles: <!nodoc>

Package: python3-sklearn-lib
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: low-level implementations and bindings for scikit-learn - Python 3
 This is an add-on package for python-sklearn. It provides
 low-level implementations and custom Python bindings for the LIBSVM
 library.
 .
 This package contains the Python 3 version.
