=== debian/watch ===
Version: 5

Template: Github
Owner: scikit-learn
Project: scikit-learn
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg
