## scikit-learn 1.8.0%2Bdfsg

=== debian/changelog ===
scikit-learn (1.8.0+dfsg-2) experimental; urgency=medium

  * Experimental rebuild with build-dir fix applied.

 -- Timo Röhling <roehling@debian.org>  Thu, 19 Feb 2026 15:20:19 +0100

scikit-learn (1.8.0+dfsg-1) experimental; urgency=medium

  * Use SEMANTIC_VERSION in d/watch
  * New upstream version 1.8.0+dfsg
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 23 Dec 2025 20:06:06 +0100

scikit-learn (1.7.2+dfsg-4) unstable; urgency=medium

  * Drop --config-setting build-dir (Closes: #1124209)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Dec 2025 00:46:49 +0100
