=== debian/changelog ===
scikit-learn (1.8.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Feb 2026 21:55:46 +0100
